Subject: Re: bug#50241: flyspell doesn't work with multiple dictionaries

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Aug 2021 09:12:58 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 28 Aug 2021 23:42:08 +0300
> 
> Okay, I finally found the working combination, it is:
> 
>     (progn
>       (require 'ispell)
>       (setq ispell-program-name "hunspell")
>       (ispell-set-spellchecker-params)
>       (ispell-hunspell-add-multi-dic "ru_RU,en_US")
>       (ispell-change-dictionary "ru_RU,en_US")
>       (flyspell-mode 1)
>       )
> 
> So, the magical function is `(ispell-set-spellchecker-params)`. Judging by its description, it has to be called before any ispell usage.
> 
> I can probably call it manually, but I presume the behaviour needs fixing.

I'm not sure I agree.  These are commands that are supposed to be
invoked interactively, in the order I've shown, which works.  If you
want to make this part of your initialization, you need to figure out
the required sequence of calls, which you did.